package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资源位每天统计对象 daily_source
 * 
 * @author haotian
 * @date 2024-12-09
 */
public class DailySource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long dailySourceId;

    /** 资源位id */
    @Excel(name = "资源位id")
    private Long sourceId;

    /** 用户MR在线时长 */
    @Excel(name = "用户MR在线时长")
    private Long uMrTime;

    /** 被购买总数 */
    @Excel(name = "被购买总数")
    private Long bought;

    /** 互动次数 */
    @Excel(name = "互动次数")
    private Long interactions;

    /** 分享次数 */
    @Excel(name = "分享次数")
    private Long shares;

    /** 每天时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "每天时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    public void setDailySourceId(Long dailySourceId) 
    {
        this.dailySourceId = dailySourceId;
    }

    public Long getDailySourceId() 
    {
        return dailySourceId;
    }
    public void setSourceId(Long sourceId) 
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId() 
    {
        return sourceId;
    }
    public void setuMrTime(Long uMrTime) 
    {
        this.uMrTime = uMrTime;
    }

    public Long getuMrTime() 
    {
        return uMrTime;
    }
    public void setBought(Long bought) 
    {
        this.bought = bought;
    }

    public Long getBought() 
    {
        return bought;
    }
    public void setInteractions(Long interactions) 
    {
        this.interactions = interactions;
    }

    public Long getInteractions() 
    {
        return interactions;
    }
    public void setShares(Long shares) 
    {
        this.shares = shares;
    }

    public Long getShares() 
    {
        return shares;
    }
    public void setDate(LocalDate date)
    {
        this.date = date;
    }

    public LocalDate getDate()
    {
        return date;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dailySourceId", getDailySourceId())
            .append("sourceId", getSourceId())
            .append("uMrTime", getuMrTime())
            .append("bought", getBought())
            .append("interactions", getInteractions())
            .append("shares", getShares())
            .append("date", getDate())
            .toString();
    }
}
